/* ============================================================
   Boutons — effet de remplissage au survol
   ============================================================ */

.wp-block-button__link {
	position: relative !important;
	overflow: hidden !important;
	z-index: 1 !important;
	transition: all 0.3s !important;
}

.wp-block-button__link::after {
	content: '' !important;
	position: absolute !important;
	bottom: 0 !important;
	left: 0 !important;
	width: 100% !important;
	height: 100% !important;
	z-index: -2 !important;
}

.wp-block-button__link::before {
	content: '' !important;
	position: absolute !important;
	bottom: 0 !important;
	left: 0 !important;
	width: 0% !important;
	height: 100% !important;
	background-color: #8C1837 !important;
	transition: all 0.3s !important;
	z-index: -1 !important;
}

.wp-block-button__link:hover::before {
	width: 100% !important;
}

.wp-block-button__link:hover {
	color: white !important;
}
